<%inherit file="master.html" />
<div id="zones">
    % for zone in zones:
        <div id="zone-${loop.index}" class="zone">
            <h2>Зона</h2>
            <div class="row mb-1">
                <div class="input-group col-12 col-lg-5">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Имя</span>
                    </div>
                    <input id="zone-${loop.index}-name" class="form-control" type="text" name="name"
                           value="${zone['name']}">
                </div>
                <div class="input-group col-6 col-md col-lg-2">
                    <div class="input-group-prepend">
                        <span class="input-group-text">С.Ш.</span>
                    </div>
                    <input id="zone-${loop.index}-lat" class="form-control" type="text" name="lat"
                           value="${zone['lat']}">
                </div>
                <div class="input-group col-6 col-md col-lg-2">
                    <div class="input-group-prepend">
                        <span class="input-group-text">В.Д.</span>
                    </div>
                    <input id="zone-${loop.index}-lon" class="form-control" type="text" name="lon"
                           value="${zone['lon']}">
                </div>
                <div class="input-group col-6 col-md col-lg-2">
                    <div class="input-group-prepend">
                        <span class="input-group-text">R (усл.)</span>
                    </div>
                    <input id="zone-${loop.index}-distance" class="form-control" type="text" name="distance"
                           value="${zone['distance']}">
                </div>
                <div class="col-1 col-md-1">
                    <button class="btn btn-outline-danger zone-remove">✖</button>
                </div>
            </div>
            <hr>
        </div>
    % endfor
    <div class="row">
        <div class="input-group col-6 col-md-3">
            <button class="btn btn-primary btn-block add-zone">➕</button>
        </div>
        <div class="template">
            <div class="zone">
                <h2>Зона</h2>
                <div class="row mb-1">
                    <div class="input-group col-12 col-lg-5">
                        <div class="input-group-prepend">
                            <span class="input-group-text">Имя</span>
                        </div>
                        <input class="form-control" type="text" name="name">
                    </div>
                    <div class="input-group col-6 col-md col-lg-2">
                        <div class="input-group-prepend">
                            <span class="input-group-text">С.Ш.</span>
                        </div>
                        <input class="form-control" type="text" name="lat">
                    </div>
                    <div class="input-group col-6 col-md col-lg-2">
                        <div class="input-group-prepend">
                            <span class="input-group-text">В.Д.</span>
                        </div>
                        <input class="form-control" type="text" name="lon">
                    </div>
                    <div class="input-group col-6 col-md col-lg-2">
                        <div class="input-group-prepend">
                            <span class="input-group-text">R (усл.)</span>
                        </div>
                        <input class="form-control" type="text" name="distance">
                    </div>
                    <div class="col-1 col-md-1">
                        <button class="btn btn-outline-danger zone-remove">✖</button>
                    </div>
                </div>
                <hr>
            </div>
        </div>
    </div>
    <hr>

</div>
<div id="zones-actions" class="pb-5">
    <div class="row">
        <div class="col col-sm-3">
            <a id="zones-actions-save" href="#zones-actions" class="btn btn-success mt-3 form-control"
               role="button">Сохранить</a>
        </div>
        <div class="col col-sm-3">
            <a href="${url_for('index')}" class="btn btn-secondary mt-3 form-control" role="button">Назад</a>
        </div>
    </div>
</div>

<%def name="script()">
    <script>let updatePath = '${url_for('update_zones')}'</script>
    <script src="/static/js/zones.js"></script></%def>